@font-face {
font-family: "Fredoka";
src: url("./fonts/Fredoka-VariableFont_wdth\,wght.woff2") format("woff2")
}


*,*::before, *::after {
    box-sizing: border-box;
}


:root {
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
    font-family: "Fredoka", Arial, sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    background-color: var(--bg);
    color: var(--primary)
}


body {
    margin: 0;
}


.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    background-color: var(--primary);
    color: oklch(0.9961 0.0034 325.6) ;

    nav ul {
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
    }


    nav ul {
        margin-left: -2rem;
    }


    nav a {
        display: inline-block;
        padding-top: 1rem;
        padding-bottom: 1rem;
        padding: 1rem 2rem;
        color: inherit;
        text-decoration: none;
    }
}


footer p:last-child {
    margin: 0;
}


h2 + p {
    font-style: italic;
}


main .highlight {
    font-weight: bold;
    font-style: italic;
}



main {
    padding-top: 2vh;
    padding-bottom: 4vw;

    nav ul {
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
    }

    nav li:not(:first-child) {
        color: white;
        font-weight: bold;
        background-color: darkred;
        display: inline-block;
        padding-top: 1rem;
        padding-bottom: 1rem;
        padding: 1rem 2rem;
    }

    nav li a {
        color: inherit;
        text-decoration: none;}

    nav li:not(:first-child):hover {
        color: darkred;
        background-color: white;
    }

    nav li:not(:first-child):focus-visible {
        background-color: white;
        color: darkred;
    }

    nav li:first-child {
        margin-inline-end: auto;
    }
}


.row {
    display: flex;
    gap: 2rem;
    
    > div {
        border: 1px dashed var(--primary);
        padding: 1rem;
        flex:   1 1 auto;

        &:first-child {
            flex-grow: 2;
        }
    }
}


  .cards {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  .cards li {
    border: 5px solid #000;
    margin-bottom: 1em;
  }

  .cards h2 {
    background-color: #333;
    color: #fff;
    margin: 0;
    padding: 0.5em 1em;
  }

  .cards .inner {
    padding: 0.5em 1em;
  }

  .sidebar {
    background-color: #333;
    border: 5px solid #000;
    padding: 0.5em 1em;
    color: #fff;
  }

  @media (min-width: 40em) {
    body {
      background-color: white;
    }
  
    header .container {
      display: flex;
      justify-content: space-between;
      align-items: center;

      nav ul {
        display: flex;
      }
      nav a {
        border: 0;
      }
    }
  
  .cards {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    
    li {
      flex: 0 1 calc(50% - 1rem);
      max-width: 16rem;
    }
  }

  main {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-block-start: wrap;
  
    article {
      flex: 1 1 50rem;
    }

}

}


.knop {
    display: inline-block;
    margin-top: 1rem;
    padding: 0.7rem 1.4rem;
    background-color: green;
    color: var(--zwart);
    text-decoration: none;
    font-weight: 600;
    border-radius: 6px;

    &:hover {
        background-color: blue;
        text-decoration: underline;
    }
}
